
%define rel alt5
%define TARNAME	NVIDIA_GLX
%define binPkgName nvidia_glx

%ifndef verrel
%define verrel 1.0-4363
%endif
%{expand:%%define VERSION %(echo "%verrel"|cut -d- -f1)}
%{expand:%%define RELEASE %(echo "%verrel"|cut -d- -f2)}

%define myGroup System/Kernel and hardware
%define mySummary NVIDIA drivers and OpenGL libraries for XFree86 4.x X-server
%define mySummaryRu Драйверы NVIDIA и библиотеки OpenGL для Х-сервера XFree86 4.x
%define myUrl http://www.nvidia.com
%define myVendor NVIDIA Corp.
%define myLicense NVIDIA

Source: ftp://download.nvidia.com/XFree86/Linux-x86/%verrel/%TARNAME-%verrel.tar.gz
Source1: nvidia_set_glx
Source2: nvidia_glx.rc



Name: %{binPkgName}_src_%{VERSION}.%{RELEASE}
Version: %VERSION.%RELEASE
Release: %rel

%define xlibdir /usr/X11R6/lib
%define exts /modules/extensions
%define drvs /modules/drivers
%define nvlibdir %xlibdir/nvidia_%version

Group: %myGroup
Summary: %mySummary
Summary(ru_RU.UTF-8): %mySummaryRu
Url: %myUrl
Vendor: %myVendor
License: %myLicense
%description
Sources for %{binPkgName}_%{version} package



%package -n %{binPkgName}_common
Requires(post): %post_service
Requires(preun): %preun_service
#Obsoletes: %TARNAME
#
Group: %myGroup
Summary: This is common package for usability NVIDIA drivers.
Summary(ru_RU.UTF-8): Пакет для совместимости драйверов NVIDIA.
Url: %myUrl
Vendor: %myVendor
License: %myLicense
#
%description -n %{binPkgName}_common
This is common package for NVIDIA drivers.
#
%description -n %{binPkgName}_common -l ru_RU.UTF-8
Этот пакет нужен для совместимости при отсутствии
одной из компонент драйверов для NVIDIA.



%package -n %{binPkgName}_%{version}
PreReq: %{binPkgName}_common >= %version
Requires(post): chkconfig service
#Requires: XFree86-server >= 4.0.3
#Requires: libGLwrapper
Requires: NVIDIA_kernel = %version
Provides: libGL
Provides: %TARNAME = %version-%release
Obsoletes: %TARNAME
#
Group: %myGroup
Summary: %mySummary
Summary(ru_RU.UTF-8): %mySummaryRu
Url: %myUrl
Vendor: %myVendor
License: %myLicense
#
%description -n %{binPkgName}_%{version}
NVIDIA XFree86 4.x server drivers and OpenGL libraries for RIVA TNT/TNT2
and GeForce/Quadro based video cards.  Older RIVA 128 based video cards are
supported by the server module shipping with XFree86 4.x, nv_drv.o. You
should install this package if you have one of the newer cards.

You must also install the NVIDIA_kernel package if you want
NVIDIA module and OpenGL libraries for XFree86 4.x X server.
#
%description -n %{binPkgName}_%{version} -l ru_RU.UTF-8
Драйверы и OpenGL-библиотеки для Х-сервера XFree86 4.x и видеокарт NVIDIA
на базе RIVA TNT/TNT2 и GeForce/Quadro. Более ранние версии видеокарт на базе
RIVA 128 поддерживаются модулем nv_drv.o, входящим в состав сервера XFree86 4.x.
Если вы имеете одну из этих новых видеокарт, то вам желательно установить данный
пакет.

Если вы желаете использовать модули NVIDIA и библиотеки OpenGL для Х-сервера XFree86 4.0,
то вы должны также установить пакет NVIDIA_kernel.



%prep
%setup -q -n %TARNAME-%VERSION-%RELEASE

%build
%install
%add_findprov_lib_path %nvlibdir

soname()
{
    readelf -a $1| grep SONAME| sed 's/.*\[//'| sed 's/\].*//'
}

%set_strip_method none

%__mkdir_p %buildroot/%_sbindir
%__mkdir_p %buildroot/%_sysconfdir/rc.d/init.d
%__mkdir_p %buildroot/%xlibdir/nvidia_common
%__mkdir_p %buildroot/%nvlibdir/%drvs
%__mkdir_p %buildroot/%nvlibdir/%exts

%__install -m 755 %SOURCE1 %buildroot/%_sbindir/nvidia_set_glx
%__install -m 755 %SOURCE2 %buildroot/%_sysconfdir/rc.d/init.d/nvidia_glx

%__install usr/X11R6/lib/%drvs/nvidia_drv.o      %buildroot/%nvlibdir/%drvs/

%__install usr/X11R6/lib/%exts/libglx.so.%version %buildroot/%nvlibdir/%exts/libglx.so.nvidia
%__ln_s libglx.so.nvidia %buildroot/%nvlibdir/%exts/libglx.so

%__install usr/lib/libGL.so.%version  %buildroot/%nvlibdir/libGL.so.nvidia

%__install usr/lib/libGLcore.so.%version %buildroot/%nvlibdir/libGLcore.so.nvidia
%__ln_s libGLcore.so.nvidia %buildroot/%nvlibdir/`soname %buildroot/%nvlibdir/libGLcore.so.nvidia`

%__install usr/X11R6/lib/libXvMCNVIDIA.so.%version %buildroot/%nvlibdir/libXvMCNVIDIA.so.%version
%__ln_s libXvMCNVIDIA.so.%version %buildroot/%nvlibdir/libXvMC.so.nvidia
%__ln_s libXvMCNVIDIA.so.%version %buildroot/%nvlibdir/`soname usr/X11R6/lib/libXvMCNVIDIA.so.%version` 



%post -n %{binPkgName}_%{version}
%post_ldconfig
if [ "$DURING_INSTALL" == "1" ]
then
    /sbin/chkconfig -add nvidia_glx
fi
echo "You must execute \"service nvidia_glx start\""
echo "to switch NVIDIA drivers for current kernel."
#
%postun -n %{binPkgName}_%{version}
%postun_ldconfig


%post -n %{binPkgName}_common
%post_ldconfig
%post_service nvidia_glx
#
%preun -n %{binPkgName}_common
%preun_service nvidia_glx
#
%postun -n %{binPkgName}_common
%postun_ldconfig



%files -n %{binPkgName}_%{version}
%doc usr/share/doc/*
%doc usr/include
#
%defattr (0555, root, root)
#
%dir %nvlibdir
%dir %nvlibdir/%drvs
%dir %nvlibdir/%exts
%nvlibdir/%drvs/nvidia_drv.o
%nvlibdir/%exts/libglx.so
%nvlibdir/%exts/libglx.so.nvidia
%nvlibdir/libGL.so.nvidia
%nvlibdir/libGLcore.so.1
%nvlibdir/libGLcore.so.nvidia
%nvlibdir/libXvMC*.so.*


%files -n %{binPkgName}_common
%_sbindir/nvidia_set_glx
%config %_sysconfdir/rc.d/init.d/nvidia_glx

%changelog
* Fri Sep 26 2003 Sergey V Turchin <zerg at altlinux dot org> 1.0.4363-alt5
- fix %%post

* Fri Sep 26 2003 Sergey V Turchin <zerg at altlinux dot org> 1.0.4363-alt4
- force install service nvidia_lgx when variable DURING_INSTALL=1

* Mon Sep 15 2003 Sergey V Turchin <zerg at altlinux dot org> 1.0.4363-alt3
- fix initscript

* Mon Sep 15 2003 Sergey V Turchin <zerg at altlinux dot org> 1.0.4363-alt2
- make possible to install different versions together

* Wed Jul 30 2003 Sergey V Turchin <zerg at altlinux dot org> 1.0.4496-alt1
- new version

* Tue Jul 01 2003 Sergey V Turchin <zerg at altlinux dot org> 1.0.4363-alt1
- new version

* Tue May 06 2003 Sergey V Turchin <zerg at altlinux dot ru> 1.0.4349-alt2
- remove requires to XFree86-server libGLwrapper
- remove very old versions from %%versions

* Wed Apr 02 2003 Peter Novodvorsky <nidd@altlinux.com> 1.0.4349-alt1
- New upstream version

* Sun Feb 16 2003 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1.0.4191-alt3
- Fixed file permissions on %%doc
- Added Summary and %%description in Russian

* Fri Dec 20 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0.4191-alt2
- fix link to %xlibdir/%exts/libglx.so

* Thu Dec 19 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0.4191-alt1
- new version

* Fri Sep 13 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.0.3123-alt1
- new version

* Thu Jun 06 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.0.2960-alt1
- new version

* Fri Mar 15 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0.2802-alt1
- new version

* Fri Feb 22 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0.2313-alt1
- prepare for Sisyphus

* Thu Jan 31 2002 Sergey V Turchin <zerg@altlinux.ru> ALL-alt2
- fix requires
- cleanup spec

* Tue Jan 29 2002 Sergey V Turchin <zerg@altlinux.ru> ALL-alt1
- add interactive build

* Sat Dec 29 2001 Ivan Zakharyaschev <imz@altlinux.ru> 1.0.2313-alt3
- fix requires version (add 1.0 prefix)

* Tue Dec 18 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.0.2313-alt2
- Fixed requires as kernel_version of this driver is 2314

* Wed Dec 05 2001 Sergey V Turchin <zerg@altlinux.ru> 1.0.2313-alt1
- new version

* Thu Jun 14 2001 Sergey V Turchin <zerg@altlinux.ru> 1.0.1251-alt5
- changed pakage name to nvidiaGL

* Fri Jun 08 2001 Sergey V Turchin <zerg@altlinux.ru> 1.0.1251-alt4
- fix requires

* Wed May 23 2001 Sergey V Turchin <zerg@altlinux.ru>
- first build
